## ros-noetic-p2os-launch 2.2.1

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(p2os_launch)

find_package(catkin REQUIRED COMPONENTS)
catkin_package()

install(DIRECTORY 
   launch
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
 )

=== debian/changelog ===
ros-noetic-p2os-launch (2.2.1-2focal) focal; urgency=high

  * Prepare release 2.2.0 (#59 <https://github.com/allenh1/p2os/issues/59>)
    * Update changelog
    * 2.2.0
  * Update email address (#58 <https://github.com/allenh1/p2os/issues/58>)
  * Contributors: Hunter L. Allen

 -- Hunter L. Allen <hallen@kns.com>  Thu, 18 Jun 2020 04:00:00 -0000

ros-noetic-p2os-launch (2.2.0-2focal) focal; urgency=high

  * Update email address (#58 <https://github.com/allenh1/p2os/issues/58>)
  * Contributors: Hunter L. Allen

 -- Hunter L. Allen <hallen@kns.com>  Thu, 14 Mar 2019 04:00:00 -0000

ros-noetic-p2os-launch (2.1.1-2focal) focal; urgency=high



 -- Hunter L. Allen <hallen@kns.com>  Tue, 03 Jul 2018 04:00:00 -0000

ros-noetic-p2os-launch (2.1.0-2focal) focal; urgency=high

  * Switch to format 2 (#48 <https://github.com/allenh1/p2os/issues/48>)
    * Update p2os_launch to package.xml format 2.
    * Update p2os_driver to package.xml format 2.
    * Update p2os_urdf to package.xml format 2.
    * Update p2os_teleop package.xml to format 2.
    * Update p2os_msgs to package.xml format 2.
    * Update p2os_doc to package.xml format 2.
  * Contributors: Hunter Allen

 -- Hunter L. Allen <hallen@kns.com>  Tue, 01 Aug 2017 04:00:00 -0000

ros-noetic-p2os-launch (2.0.7-2focal) focal; urgency=high

  * Updated changelog.
  * merged.
  * Updated package metadata, as well as added the correct c++ flags to the urdf file (for Gentoo support).
  * Contributors: Hunter L. Allen
  * merged.
  * Updated package metadata, as well as added the correct c++ flags to the urdf file (for Gentoo support).
  * Contributors: Hunter L. Allen

 -- Hunter L. Allen <hallen@kns.com>  Tue, 30 May 2017 04:00:00 -0000

ros-noetic-p2os-launch (2.0.6-2focal) focal; urgency=high

  * Added an enable motors launch file.
  * Contributors: Hunter L. Allen

 -- Hunter L. Allen <hallen@kns.com>  Mon, 22 May 2017 04:00:00 -0000

ros-noetic-p2os-launch (2.0.5-2focal) focal; urgency=high



 -- Hunter L. Allen <hallen@kns.com>  Thu, 26 May 2016 04:00:00 -0000

ros-noetic-p2os-launch (2.0.4-2focal) focal; urgency=high



 -- Hunter L. Allen <hallen@kns.com>  Thu, 26 May 2016 04:00:00 -0000

ros-noetic-p2os-launch (2.0.3-2focal) focal; urgency=high



 -- Hunter L. Allen <hallen@kns.com>  Sun, 25 Oct 2015 04:00:00 -0000

ros-noetic-p2os-launch (2.0.2-2focal) focal; urgency=high



 -- Hunter L. Allen <hallen@kns.com>  Tue, 04 Aug 2015 04:00:00 -0000

ros-noetic-p2os-launch (2.0.1-2focal) focal; urgency=high

  * Doing some cleanup of the code.
  * Contributors: Hunter Allen

 -- Hunter L. Allen <hallen@kns.com>  Sat, 11 Jul 2015 04:00:00 -0000

ros-noetic-p2os-launch (1.0.13-2focal) focal; urgency=high

  * Oops. Should have caught that by now probably.
  * Contributors: Hunter Allen

 -- Hunter L. Allen <hallen@kns.com>  Sat, 02 May 2015 04:00:00 -0000

ros-noetic-p2os-launch (1.0.12-2focal) focal; urgency=high

  * Updated to match indigo-devel
  * General cleanup and fixing issues with the code
  * Contributors: Aris Synodinos, Hunter Allen

 -- Hunter L. Allen <hallen@kns.com>  Wed, 25 Jun 2014 04:00:00 -0000

ros-noetic-p2os-launch (1.0.11-2focal) focal; urgency=high



 -- Hunter L. Allen <hallen@kns.com>  Wed, 25 Jun 2014 04:00:00 -0000

ros-noetic-p2os-launch (1.0.10-2focal) focal; urgency=high



 -- Hunter L. Allen <hallen@kns.com>  Wed, 28 May 2014 04:00:00 -0000

ros-noetic-p2os-launch (1.0.9-2focal) focal; urgency=high

  * Updated version
  * 1.0.7
  * Updated changelogs
  * Updated the launch files

 -- Hunter L. Allen <hallen@kns.com>  Sun, 18 Aug 2013 04:00:00 -0000

ros-noetic-p2os-launch (1.0.7-2focal) focal; urgency=high

  * Updated the launch files
  * Updated to match hmt-git.com repository

 -- Hunter L. Allen <hallen@kns.com>  Sun, 18 Aug 2013 04:00:00 -0000

ros-noetic-p2os-launch (1.0.5-2focal) focal; urgency=high

  * Added new navigation files
  * Added new launch files
  * Updated to match hmt-git.com
  * Updated to hmt-git.com repo

 -- Hunter L. Allen <hallen@kns.com>  Tue, 23 Jul 2013 04:00:00 -0000

ros-noetic-p2os-launch (1.0.1-2focal) focal; urgency=high

  * Updating to match hmt-git.com repo
  * Removed a line
  * Updated p2os_launch for catkin
  * Removed build directory.
  * Added a new launch file
  * added the code

 -- Hunter L. Allen <hallen@kns.com>  Mon, 22 Jul 2013 04:00:00 -0000

=== debian/control ===
Source: ros-noetic-p2os-launch
Section: misc
Priority: optional
Maintainer: Hunter L. Allen <hallen@kns.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://ros.org/wiki/p2os-purdue
Standards-Version: 3.9.2

Package: ros-noetic-p2os-launch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-p2os-driver, ros-noetic-p2os-msgs, ros-noetic-p2os-teleop, ros-noetic-p2os-urdf
Description: Launch and config files designed for use with the p2os stack.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-p2os-launch//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
